#!/usr/bin/env node
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __1 = require("../");
const path = require("path");
const chalk_1 = require("chalk");
// Get the results
__1.default(path.join(process.cwd(), process.argv[2])).then((preResults) => {
    const results = preResults.map((testGroup) => {
        typeof testGroup[0] === 'string' && console.log(chalk_1.default.blue.bold(`\n${testGroup.shift()}`));
        const results = testGroup.map((test) => {
            const result = test.assertion
                ? chalk_1.default.green(`    ✔ ${test.message} `)
                : chalk_1.default.red(`    ✖ ${test.message} `);
            console.log(result);
            return test.assertion ? 1 : 0;
        });
        const totalTests = results.length;
        const howManySucceded = results.reduce((x, sum) => x + sum);
        const howManyFailed = totalTests - howManySucceded;
        // Return the stats
        return [howManySucceded, howManyFailed];
    }).reduce((x, xs) => [x[0] + xs[0], x[1] + xs[1]]);
    console.log(chalk_1.default.blue.bold(`\nResults for all ${results[0] + results[1]} tests: `));
    console.log(chalk_1.default.green(`    ✔ Succeded: ${results[0]} `) +
        chalk_1.default.red(`    ✖ Failed: ${results[1]} \n`));
    // Exit with code 0 if there are no errors
    process.exitCode = results[1] === 0 ? 0 : 1;
});
